using MacGruber;
using UnityEngine;

namespace CheesyFX
{
    public class ChestBreather : Breather
    {
        public ChestBreather() 
        {
            morphs.Add(ReadMyLips.morphControl.GetMorphByUid($"{macGruberLifeUid}:/Custom/Atom/Person/Morphs/female/MacGruber/Pose/Breathing/Breathing_Chest.vmi"));
            string morphUid = Utils.GetPackagePath(ReadMyLips.singleton) + "Custom/Atom/Person/Morphs/female/CheesyFX/BodyLanguage/Breathing/BL_RibCageDefine.vmi";
            morphs.Add(ReadMyLips.morphControl.GetMorphByUid(morphUid));
        }
        
        public override void SetParameters(float intensity)
        {
            delta = 3f * intensity * intensity + .5f;
            maxDepth = baseLine + delta;
            minDepth = baseLine - delta;
        }
    }
}