using System;
using System.Collections.Generic;
using System.Linq;
using UnityEngine;
using MacGruber;
using SimpleJSON;
using Random = UnityEngine.Random;

namespace CheesyFX
{
    public class Orifice : MonoBehaviour
	{
		private readonly int id;

		public new string name;
		public JSONStorableBool preventSwitching = new JSONStorableBool("Prevent Switching", true);
		public JSONStorableBool enabledJ = new JSONStorableBool("Enabled", true);
		public JSONStorableBool autoTogglePenisTip = new JSONStorableBool("Auto toggle Penis Tip", false);
		public JSONStorableBool showProximity = new JSONStorableBool("Show Proximity", false);

		public JSONStorableFloat sensitivity = new JSONStorableFloat("Sensitivity (ReadMyLips)", 1f, 0f, 5f);
		
		public JSONStorableFloat bulgeScale = new JSONStorableFloat("Bulge Scale", 10f, 0f, 20f);
		public JSONStorableFloat bulgeDepthScale = new JSONStorableFloat("Bulge Depth Scale", 1f, 0f, 4f);
		public JSONStorableFloat bulgeSharpness = new JSONStorableFloat("Bulge Sharpness", .2f, 0f, 2f);
		
		public JSONStorableFloat triggerOffsetUp = new JSONStorableFloat("Enter Trigger Offset Up", 0f, -.05f, .05f);
		public JSONStorableFloat triggerOffsetForward = new JSONStorableFloat("Enter Trigger Offset Forward", 0f, -.05f, .05f);
		public JSONStorableFloat proximityScale = new JSONStorableFloat("Proximity Scale", .08f, .05f, .16f);
		
		public JSONStorableFloat depth = new JSONStorableFloat("Depth", 0f, 0f, .4f, true, false);
		public JSONStorableFloat speed = new JSONStorableFloat("Speed", 0f, -5f, 5f, true, false);
		public JSONStorableFloat stretch = new JSONStorableFloat("Stretch", 0f, 0f, 1f, true, false);
		public JSONStorableFloat relaxation;
		
		public JSONStorableFloat stretchScale = new JSONStorableFloat("Stretch Scale", 1f, 0f, 2f);
		
		public JSONStorableFloat depthStimulationThreshold = new JSONStorableFloat("Depth Stimulation Threshold (ReadMyLips)", .10f, 0f, .5f, true);

		private FloatTriggerManager depthTriggers;
		private FloatTriggerManager stretchTriggers;
		private FloatTriggerManager speedTriggers;
		private FloatTriggerManager relaxationTriggers;
		
		private UIDynamicButton depthTriggerButton;
		private UIDynamicButton speedTriggerButton;
		private UIDynamicButton stretchTriggerButton;
		private UIDynamicButton relaxationTriggerButton;
		
		public EventTrigger onProximityEnter = new EventTrigger(FillMeUp.singleton, "On Proximity Enter");
		public EventTrigger onProximityExit = new EventTrigger(FillMeUp.singleton, "On Proximity Exit");
		
		public AudioSource audioSource;

		protected List<object> UIElements = new List<object>();
		
		public Collider proximityTrigger;
		public ProximityHandler proximityHandler;

		public Orifice other;
		public Collider lastColliding
		{
			get { return orificeTriggerHandler.lastColliding; }
			set { orificeTriggerHandler.lastColliding = value; }
		}

		public bool isPenetrated{
			get{return _isPenetrated;}
			set
			{
				_isPenetrated = value;
				if (!value)
				{
					_isPenetrated = value;
					if(autoTogglePenisTip.val) SetPenisTipState(false);
					penetrator = null;
					penetratingAtom = null;
					depthMeter.transform.parent = null;
					depth.val = 0f;
					penetratorWidth = 0f;
					GetStretch();
				}
				depthMeterRenderer.enabled = value && FillMeUp.debugMode;
				FillMeUp.SetPenetrated();
				
			}
		}

		public MaleShaker maleShaker;

		public Atom penetratingAtom
		{
			set
			{
				FillMeUp.penetratingAtoms[this] = value;
			}
			get { return FillMeUp.penetratingAtoms[this]; }
		}
		private bool _isPenetrated;
		public float lastDepth;
		public Transform enterPointTF;
		public Rigidbody depthReference;
		
		public GameObject depthMeter;
		public Renderer depthMeterRenderer;
		public GameObject enterTriggerGO;
		public Vector3 enterTriggerBasePosition;
		public Collider enterTriggerCollider;
		public OrificeTriggerHandler orificeTriggerHandler;
		public Func<int, float> bulgeFunc;
		public float[] bulgeTargets = new float[8];

		public float penetratorWidth;
		// private bool _paused;
		// public bool paused
		// {
		// 	set
		// 	{
		// 		_paused = orificeTriggerHandler.enabled = value;
		// 	}
		// }

		public virtual void Init(string name)
		{
			// SimpleTriggerHandler.LoadAssets();
			this.name = name;
			depthTriggers = FillMeUp.singleton.AddFloatTriggerManager(depth, false, 0f, 0f, .25f);
			stretchTriggers = FillMeUp.singleton.AddFloatTriggerManager(stretch, false, 0f, 0f, .5f);
			speedTriggers = FillMeUp.singleton.AddFloatTriggerManager(speed, true, 0f, 0f, .5f);
			if(relaxation != null) relaxationTriggers = FillMeUp.singleton.AddFloatTriggerManager(relaxation);

			CreateDepthMeter();
			
			// bulgeFunc = x =>
			// {
			// 	float exponent = x - (bulgeDepthScale.val * depth.val - 4.4f);
			// 	return bulgeScale.val * penetratorWidth * 4f * Mathf.Pow(1f + bulgeSharpness.val, -exponent * exponent);
			// };
			bulgeFunc = x =>
			{
				float scaledDepth = depth.val * bulgeDepthScale.val * 8f;
				if (scaledDepth < .4f) return 0f;
				float exponent = bulgeSharpness.val * (x - scaledDepth-.4f);
				float divisor = 1/(1 + scaledDepth);
				float val = bulgeScale.val * penetratorWidth * (scaledDepth-.4f) * divisor * divisor * Mathf.Pow(2f, -exponent * exponent);
				if (x > scaledDepth) val /= (x - scaledDepth + 1f);
				return val;
			};
			// bulgeScale.setCallbackFunction = x => SetBulgeFunction();
			// bulgeDepthScale.setCallbackFunction = x => SetBulgeFunction();
			// bulgeSharpness.setCallbackFunction = x => SetBulgeFunction();
			if (name == "Throat") proximityScale.val = proximityScale.defaultVal = .05f;
			enabledJ.setCallbackFunction += val =>
			{
				enabled = val;
				orificeTriggerHandler.enabled = val;
			};
			triggerOffsetUp.setCallbackFunction = x => UpdateTriggerPosition();
			triggerOffsetForward.setCallbackFunction = x => UpdateTriggerPosition();
			proximityScale.setCallbackFunction += val => proximityTrigger.transform.localScale = val * Vector3.one;
			showProximity.setCallbackFunction += val =>
			{
				proximityTrigger.gameObject.GetComponent<Renderer>().enabled = val;
			};

			depth.setCallbackFunction += val =>
			{
				for (int i = 0; i < bulgeTargets.Length; i++)
				{
					bulgeTargets[i] = bulgeFunc(i);
				}
			};
			CreateTriggersUI();
			FillMeUp.singleton.RemoveUIElements(UIElements);
		}

		// public void AddTrigger()
		// {
		// 	var depthTrigger = gameObject.AddComponent<CustomFloatTrigger>();
		// 	depthTrigger.Init(FillMeUp.singleton, depth, $"{name}_{depthTriggers.Count}", false, 0f, 0f, .25f);
		// 	depthTriggers.Add(depthTrigger);
		// 	var stretchTrigger = gameObject.AddComponent<CustomFloatTrigger>();
		// 	stretchTrigger.Init(FillMeUp.singleton, stretch, $"{name}_{stretchTriggers.Count}", false, 0f, 0f, .5f);
		// 	stretchTriggers.Add(stretchTrigger);
		// 	var speedTrigger = gameObject.AddComponent<CustomFloatTrigger>();
		// 	speedTrigger.Init(FillMeUp.singleton, speed, $"{name}_{speedTriggers.Count}", true, 0f, 0f, .5f);
		// 	speedTriggers.Add(speedTrigger);
		// 	if (relaxation != null)
		// 	{
		// 		var relaxationTrigger = gameObject.AddComponent<CustomFloatTrigger>();
		// 		relaxationTrigger.Init(FillMeUp.singleton, relaxation, $"{name}_{relaxationTriggers.Count}", false, 0f, 0f, 5f);
		// 		relaxationTriggers.Add(relaxationTrigger);
		// 	}
		// }

		public void OnDisable()
		{
			DoReset();
		}

		public virtual void OnDestroy()
		{
			Destroy(enterTriggerGO);
			Destroy(orificeTriggerHandler);
			Destroy(depthMeter);
			Destroy(audioSource);
			Destroy(proximityTrigger.gameObject);
			onProximityEnter.Remove();
			onProximityExit.Remove();
		}

		public void OnAtomRename()
		{
			// depthTriggers.ForEach(x => x.OnAtomRename());
			// stretchTriggers.ForEach(x => x.OnAtomRename());
			// speedTriggers.ForEach(x => x.OnAtomRename());
			// if (relaxationTriggers != null) relaxationTriggers.ForEach(x => x.OnAtomRename());
			onProximityEnter.SyncAtomNames();
			onProximityExit.SyncAtomNames();
		}

		public virtual JSONClass Store(string subScenePrefix, bool storeTriggers = true)
		{
			JSONClass jc = new JSONClass();
			bulgeScale.Store(jc);
			bulgeSharpness.Store(jc);
			bulgeDepthScale.Store(jc);
			sensitivity.Store(jc);
			depthStimulationThreshold.Store(jc);
			autoTogglePenisTip.Store(jc);
			proximityScale.Store(jc);
			triggerOffsetForward.Store(jc);
			triggerOffsetUp.Store(jc);
			preventSwitching.Store(jc);
			stretchScale.Store(jc);
			if(storeTriggers)
			{
				jc["DepthTriggers"] = depthTriggers.Store();
				jc["StretchTriggers"] = stretchTriggers.Store();
				jc["SpeedTriggers"] = speedTriggers.Store();
				if (relaxationTriggers != null) jc["RelaxationTriggers"] = relaxationTriggers.Store();
				jc[onProximityEnter.Name] = onProximityEnter.GetJSON();
				jc[onProximityExit.Name] = onProximityExit.GetJSON();
			}
			return jc;
		}

		public virtual void Load(JSONClass jc, string subScenePrefix)
		{
			if(jc.HasKey(name))
			{
				JSONClass tc = jc[name].AsObject;
				bulgeScale.Load(tc);
				bulgeSharpness.Load(tc);
				bulgeDepthScale.Load(tc);
				sensitivity.Load(tc);
				depthStimulationThreshold.Load(tc);
				autoTogglePenisTip.Load(tc);
				proximityScale.Load(tc);
				triggerOffsetForward.Load(tc);
				triggerOffsetUp.Load(tc);
				preventSwitching.Load(tc);
				stretchScale.Store(tc);
				depthTriggers.Load(tc["DepthTriggers"].AsObject);
				stretchTriggers.Load(tc["StretchTriggers"].AsObject);
				speedTriggers.Load(tc["SpeedTriggers"].AsObject);
				if (relaxationTriggers != null) relaxationTriggers.Load(tc["RelaxationTriggers"].AsObject);
				onProximityEnter.RestoreFromJSON(jc, subScenePrefix, true, true);
				onProximityExit.RestoreFromJSON(jc, subScenePrefix, true, true);
			}
			SyncTriggerButtons();
		}

		public void CreateDepthMeter()
		{
			if(depthMeter != null) GameObject.Destroy(depthMeter);
			depthMeter = GameObject.CreatePrimitive(PrimitiveType.Sphere);
			depthMeter.transform.localScale = new Vector3(.005f, .005f, .005f);
			Destroy(depthMeter.GetComponent<Collider>());
			depthMeterRenderer = depthMeter.GetComponent<Renderer>();
			depthMeterRenderer.material.shader = FillMeUp.debugShader;
			switch (name)
			{
				case "Anus":
					depthMeterRenderer.material.color = new Color(1f, 0f, 0.85f, .1f);
					break;
				case "Vagina":
					depthMeterRenderer.material.color = new Color(0f, 0.89f, 1f);
					break;
				default:
					depthMeterRenderer.material.color = new Color(1f, 0.5f, 0f, .2f);
					break;
			}
			depthMeterRenderer.enabled = false;
			depthMeter.tag = "depthMeter";
		}

		void UpdateTriggerPosition()
		{
			enterTriggerGO.transform.localPosition = enterTriggerBasePosition + new Vector3(0f, triggerOffsetUp.val, triggerOffsetForward.val);
		}

		private List<float> lastSpeeds = new List<float>(3);
		public void GetDepthAndSpeed()
		{
			depth.val = Vector3.Distance(depthMeter.transform.position, enterPointTF.position);
			// depth.val += .02f;
			var newSpeed = (depth.val - lastDepth) / Time.fixedDeltaTime;
			
			lastSpeeds.Add(newSpeed);
			if(lastSpeeds.Count > 3) lastSpeeds = lastSpeeds.Skip(1).ToList();
			speed.val = lastSpeeds.Average();
			// speed.val = newSpeed;
			lastDepth = depth.val;
			
		}
		
		public void SetupProximityTrigger()
		{
			GameObject proximityTriggerGO = GameObject.CreatePrimitive(PrimitiveType.Sphere);
			Vector3 scale = proximityScale.val * Vector3.one;
			proximityTriggerGO.transform.parent = enterPointTF.parent;
			proximityTriggerGO.transform.position = enterPointTF.position;
			
			proximityTriggerGO.transform.localScale = scale;
			proximityTrigger = proximityTriggerGO.GetComponent<Collider>();
			proximityTrigger.isTrigger = true;
			foreach (var collider in FillMeUp.atom.GetComponentsInChildren<Collider>())
			{
				Physics.IgnoreCollision(proximityTrigger, collider);
			}
			proximityTriggerGO.GetComponent<Renderer>().enabled = false;
			proximityHandler = proximityTrigger.gameObject.AddComponent<ProximityHandler>();
			proximityHandler.orifice = this;
		}

		public virtual void GetStretch()
		{
			stretch.val = penetratorWidth;
		}

		// public void SetBulgeMorphs1(){
		// 	float mean = bulgeDepthScale.val*depth.val-3f;
		// 	for(int i=0; i<bulgeMorphs.Count; i++){
		// 		bulgeMorphs[i].val = bulgeScale.val*(float)Math.Pow(1f+bulgeSharpness.val, -(i-mean)*(i-mean));
		// 	}
		// }

		public virtual float Stimulate(float baseStim = 0f, bool changeExpression = false)
		{
			float stimulus = baseStim + 720f * sensitivity.val * (1f + stretch.val) * Mathf.Abs(speed.val) * depth.val * Time.fixedDeltaTime;
			ReadMyLips.Stimulate(stimulus, changeExpression);
			return stimulus;
		}

		private float burstTimer;
		public virtual void FixedUpdate(){
			if(isPenetrated)
			{
				GetDepthAndSpeed();
				GetStretch();
				burstTimer -= Time.fixedDeltaTime;
				Stimulate();
				var moaning = ReadMyLips.PlayMoan();
				if (burstTimer < 0f)
				{
					burstTimer = .5f;
					if (ReadMyLips.randomBurstChance > 0f && ReadMyLips.randomBurstStrenght.val > 0f && Random.Range(0f, 1f) < ReadMyLips.randomBurstChance)
					{
						Stimulate(ReadMyLips.randomBurstStrenght.val, true);
					}
					if(!moaning) ReadMyLips.PlayBurstMoan();
				}
			}
			else
			{
				if (stretch.val > 0f)
				{
					penetratorWidth = 0f;
					speed.val = 0f;
				}
			}
		}
		
		
		public Penetrator penetrator;
		private CapsuleCollider capTip;

		public Penetrator GetPenetrator(Collider collider)
		{
			if (collider == null) return null;
			if (collider is MeshCollider)
			{
				if (!FillMeUp.penetratorByCollider.TryGetValue(collider, out penetrator))
				{
					penetrator = FillMeUp.penetratorByCollider[collider] = new MeshPenetrator((MeshCollider)collider);
					penetrator.tip.position = enterPointTF.position;
				}
				return penetrator;
			}

			if (FillMeUp.penetratorByCollider.TryGetValue(collider, out penetrator))
			{
				// if (!FillMeUp.maleShakers.TryGetValue(penetrator, out maleShaker))
				// {
				// 	if(penetrator.rb.name == "Gen3") maleShaker = ReadMyLips.singleton.gameObject.AddComponent<MaleShaker>().Init(penetrator.atom);
				// 	FillMeUp.maleShakers[penetrator] = maleShaker;
				// }
				return penetrator;
			}
			Rigidbody rb = collider.attachedRigidbody;
			float dist = 0f;
			var tempTip = collider as CapsuleCollider;
			foreach(var c in rb.transform.GetComponentsInChildren<CapsuleCollider>(true))
			{
				if(c.attachedRigidbody == null) continue;
				float thisDist = Vector3.SqrMagnitude(c.transform.position - rb.transform.position);
				if (thisDist > dist)
				{
					dist = thisDist;
					tempTip = c;
				}
			}
			
			if (!FillMeUp.penetrators.TryGetValue(tempTip, out penetrator))
			{
				penetrator = FillMeUp.penetrators[tempTip] = new CapsulePenetrator(tempTip);
				
			}
			FillMeUp.penetratorByCollider[collider] = penetrator;
			return penetrator;
			// if (!FillMeUp.maleShakers.TryGetValue(penetrator, out maleShaker))
			// {
			// 	if(penetrator.rb.name == "Gen3") maleShaker = ReadMyLips.singleton.gameObject.AddComponent<MaleShaker>().Init(penetrator.atom);
			// 	FillMeUp.maleShakers[penetrator] = maleShaker;
			// }
			// $"{collider.name} {FillMeUp.tipByCollider.Count}".Print();
		}

		private void GetMaleShaker()
		{
			if (!FillMeUp.maleShakers.TryGetValue(penetrator, out maleShaker))
			{
				if(penetrator.rb.name == "Gen3") maleShaker = ReadMyLips.singleton.gameObject.AddComponent<MaleShaker>().Init(penetrator.atom);
				FillMeUp.maleShakers[penetrator] = maleShaker;
			}
		}
		
		public virtual void RegisterCollision(Collider collider)
		{
			// $"{name} {GetRadialDistance(collider, enterPointTF)}".Print();
			// collider.transform.position.Print();
			// enterPointTF.position.Print();
			if (collider == null) return;
			if (FillMeUp.snapping)
			{
				FillMeUp.RegisterSnapCollision();
				return;
			}
			GetPenetrator(collider);
			GetMaleShaker();
			if(preventSwitching.val && other.penetrator == penetrator)
			{
				// $"last: {other.name}, failed {name}".Print();
				penetrator = null;
				return;
			}
			// tip.Print();
			// $"orifice: {name}, tip {tip.capsule}".Print();
			// $"collider: {collider.name}, tip {tempTip.name}".Print();
			depthMeter.transform.parent = penetrator.tip;
			depthMeter.transform.localPosition = Vector3.zero;
			penetratorWidth = penetrator.width * stretchScale.val;
			isPenetrated = true;
			penetratingAtom = penetrator.atom;
		}
		
		public float GetRadialDistance()
		{
			if (lastColliding == null) return 1000f;
			// $"GetRadialDistance {name}".Print();
			return Vector3.Cross(lastColliding.transform.up, enterPointTF.position - lastColliding.transform.position).sqrMagnitude;
		}

		private void SetPenisTipState(bool val)
		{
			var penisTipCtrl = penetrator.atom.freeControllers.FirstOrDefault(x => x.name == "penisTipControl");
			if(!penisTipCtrl) return;
			if (val)
			{
				penisTipCtrl.currentPositionState = FreeControllerV3.PositionState.On;
				penisTipCtrl.currentRotationState = FreeControllerV3.RotationState.On;
			}
			else
			{
				penisTipCtrl.currentPositionState = FreeControllerV3.PositionState.Off;
				penisTipCtrl.currentRotationState = FreeControllerV3.RotationState.Off;
			}

			proximityHandler.on = val;
		}

		public virtual void DoReset()
		{
			depth.val = stretch.val = penetratorWidth = 0f;
			depthMeter.transform.parent = null;
		}

		public void ClearUI()
		{
			FillMeUp.singleton.RemoveUIElements(UIElements);
		}

		public void SelectTab(int id)
		{
			FillMeUp.singleton.RemoveUIElements(UIElements);
			FillMeUp.debugMode = false;
			// lastMenuId = menuItem;
			if (id == 0) CreateTriggersUI();
			else if(id == 1) CreateSettingsUI();
			else if(id == 2) CreateBulgeSettingsUI();
			else if(id == 3) CreateDebugUI();
			
		}

		private void SyncTriggerButtons()
		{
			depthTriggerButton.label = $"Depth Triggers ({depthTriggers.triggers.Count})";
			speedTriggerButton.label = $"Speed Triggers ({speedTriggers.triggers.Count})";
			stretchTriggerButton.label = $"Stretch Triggers ({stretchTriggers.triggers.Count})";
			if (relaxation != null) relaxationTriggerButton.label = $"Relaxation Triggers ({relaxationTriggers.triggers.Count})";
		}

		public virtual void CreateTriggersUI()
		{
			depthTriggerButton = FillMeUp.singleton.CreateButton($"Depth Triggers ({depthTriggers.triggers.Count})");
			depthTriggerButton.buttonColor = new Color(0.45f, 1f, 0.45f);
			depthTriggerButton.button.onClick.AddListener(() =>
			{
				{
					FillMeUp.singleton.ClearUI();
					depthTriggers.OpenPanel(FillMeUp.singleton, FillMeUp.singleton.CreateUI);
				}
			});
			UIElements.Add(depthTriggerButton);
			depth.CreateUI(FillMeUp.singleton, UIElements:UIElements);
			
			speedTriggerButton = FillMeUp.singleton.CreateButton($"Speed Triggers ({speedTriggers.triggers.Count})", true);
			speedTriggerButton.buttonColor = new Color(0.45f, 1f, 0.45f);
			speedTriggerButton.button.onClick.AddListener(() =>
			{
				{
					FillMeUp.singleton.ClearUI();
					speedTriggers.OpenPanel(FillMeUp.singleton, FillMeUp.singleton.CreateUI);
				}
			});
			UIElements.Add(speedTriggerButton);
			speed.CreateUI(FillMeUp.singleton, UIElements:UIElements, rightSide:true);
			
			stretchTriggerButton = FillMeUp.singleton.CreateButton($"Stretch Triggers ({stretchTriggers.triggers.Count})");
			stretchTriggerButton.buttonColor = new Color(0.45f, 1f, 0.45f);
			stretchTriggerButton.button.onClick.AddListener(() =>
			{
				{
					FillMeUp.singleton.ClearUI();
					stretchTriggers.OpenPanel(FillMeUp.singleton, FillMeUp.singleton.CreateUI);
				}
			});
			UIElements.Add(stretchTriggerButton);
			stretch.CreateUI(FillMeUp.singleton, UIElements:UIElements);

			if (relaxation != null)
			{
				relaxationTriggerButton = FillMeUp.singleton.CreateButton($"Relaxation Triggers ({relaxationTriggers.triggers.Count})", true);
				relaxationTriggerButton.buttonColor = new Color(0.45f, 1f, 0.45f);
				relaxationTriggerButton.button.onClick.AddListener(() =>
				{
					{
						FillMeUp.singleton.ClearUI();
						relaxationTriggers.OpenPanel(FillMeUp.singleton, FillMeUp.singleton.CreateUI);
					}
				});
				UIElements.Add(relaxationTriggerButton);
				relaxation.CreateUI(FillMeUp.singleton, UIElements:UIElements, rightSide:true);
			}
			
			var button = FillMeUp.singleton.CreateButton("On Proximity Enter");
			button.buttonColor = new Color(0.45f, 1f, 0.45f);
			button.button.onClick.AddListener(onProximityEnter.OpenPanel);
			UIElements.Add(button);
			
			button = FillMeUp.singleton.CreateButton("On Proximity Exit");
			button.buttonColor = new Color(0.45f, 1f, 0.45f);
			button.button.onClick.AddListener(onProximityExit.OpenPanel);
			UIElements.Add(button);

			autoTogglePenisTip.CreateUI(FillMeUp.singleton, UIElements:UIElements);
		}
		
		public virtual void CreateSettingsUI()
		{
			depthStimulationThreshold.CreateUI(FillMeUp.singleton, UIElements: UIElements);
			sensitivity.CreateUI(FillMeUp.singleton, UIElements: UIElements, rightSide:true);
			stretchScale.CreateUI(FillMeUp.singleton, UIElements: UIElements);
		}

		public virtual void CreateBulgeSettingsUI()
		{
			// bulgeScale.CreateUI(UIElements);
			// bulgeSharpness.CreateUI(UIElements, true);
			// bulgeDepthScale.CreateUI(UIElements);
		}

		public void CreateDebugUI()
		{
			FillMeUp.debugMode = true;
			// FillMeUp.allowDeepPenetration.CreateUI(UIElements: UIElements);
			// FillMeUp.visualizeDepth.CreateUI(UIElements: UIElements, rightSide:true);
			depth.CreateUI(UIElements: UIElements, rightSide:true);
			triggerOffsetUp.CreateUI(UIElements: UIElements);
			var slider = triggerOffsetForward.CreateUI(UIElements: UIElements);
			proximityScale.CreateUI(UIElements: UIElements);
			showProximity.CreateUI(UIElements: UIElements);
			// enabledJ.CreateUI(UIElements: UIElements);
			preventSwitching.CreateUI(UIElements: UIElements);
			FillMeUp.singleton.SetupButton("Reset", false, FillMeUp.OnPoseSnap, UIElements);
			FillMeUp.singleton.SetupButton("Info", false, () =>
			{
				foreach (var orifice in FillMeUp.orifices)
				{
					$"{orifice.name}: Collisions: {orifice.orificeTriggerHandler.numCollisions} Penetrated: {orifice.isPenetrated}".Print();
				}
			}, UIElements);
		}
	}

    public class ProximityHandler : MonoBehaviour
    {
	    public Orifice orifice;
	    public bool on;
	    public FreeControllerV3 currentTip;
	    private int numCollisions;
	    private void OnTriggerEnter(Collider other)
	    {
		    if(numCollisions == 0) orifice.onProximityEnter.Trigger();
		    numCollisions++;
		    if(orifice.autoTogglePenisTip.val)
		    {
			    if (on || other.name != "AutoColliderGen3bHard") return;
			    currentTip = other.GetAtom().freeControllers.FirstOrDefault(x => x.name == "penisTipControl");
			    if (!currentTip) return;
			    currentTip.currentPositionState = FreeControllerV3.PositionState.On;
			    currentTip.currentRotationState = FreeControllerV3.RotationState.On;
			    // currentTip.transform.position = new Vector3(0f, orifice.enterPointTF.InverseTransformVector(currentTip.transform.position -orifice.enterPointTF.position).y, 0f);
			    on = true;
		    }
	    }

	    private void OnTriggerExit(Collider other)
	    {
		    numCollisions--;
		    if(numCollisions == 0) orifice.onProximityExit.Trigger();
	    }
    }
}