using UnityEngine;

namespace CheesyFX
{
    public class StomachBreather : Breather
    {
        public StomachBreather()
        {
            morphs.Add(ReadMyLips.morphControl.GetMorphByUid(macGruberLifeUid+":/Custom/Atom/Person/Morphs/female/MacGruber/Pose/Breathing/Breathing_Stomach.vmi"));
            
        }
        
        public override void SetParameters(float intensity)
        {
            delta = .5f * intensity * intensity + .75f;
            maxDepth = baseLine + delta;
            minDepth = baseLine - delta;
        }
    }
}